Subject: Re: Intel and TOE in the news

From: Andi Kleen <[email-masked]>
Date: 22 Feb 2005 19:07:11 +0100

> Be careful, this may have the same problems that original TSO code did.
> Make sure and force the PUSH flag on these jumbo receives or the TCP
> "every other segment" ACK logic will be busted.  There are other parts of TCP

> that depend on packet count as well and this inverse TSO logic will break them.

Linux TCP RX path didn't care about PSH last time I checked. It should
make no difference how PSH is set on RX or if it is set at all. At least
unless Leonid wants to run his driver on Darwin too, but that would be 
someone else's problem.

-Andi